Create a new inventory

Creates a new inventory with the specified name and optional properties.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Request

request body
namestringOptional>=1 character
The name of the inventory
descriptionstringOptional
Description of the inventory
groupslist of stringsOptional

Array of group names that will have access to this inventory (at least one group required)

tagslist of stringsOptional
Array of tag names to associate with this inventory. Tags will be automatically created if they don't exist.
actionslist of objectsOptional
Array of action objects to create with the inventory
createBrokerActionsbooleanOptionalDefaults to false

Automatically create built-in broker actions (get-config, set-config, run-command, is-alive) for device broker compatibility. Custom actions with the same name will override the default broker actions.

defaultClusterIdstringOptional

Default cluster ID for built-in broker actions. Required when createBrokerActions is enabled.

Response

Response from creating an inventory
statusstring
resultobject
The created inventory document
messagestring
Success message

Errors

500
Internal Server Error